<%@ Control language="vb" AutoEventWireup="false" Explicit="True" Inherits="DotNetNuke.Framework.UserControlBase" %>

<ul class="brandonHaynes templatedMenu" style="background-color: Green">
    <asp:Repeater runat="server" DataSource='<%# DataBinder.Eval(NamingContainer, "DataItem").MenuNodes %>'>
        <ItemTemplate>
            <li class="templatedHeader" style='<%# IIf(String.IsNullOrEmpty(Container.DataItem.GetAttribute("img")), String.Empty, String.Format("background-image: url({0})", Container.DataItem.GetAttribute("img"))) %>' >
                <asp:HyperLink Text='<%# Container.DataItem.GetAttribute("txt") %>' NavigateUrl='<%# Container.DataItem.GetAttribute("url") %>' Visible='<%# "0" & Container.DataItem.GetAttribute("enabled") %>' CssClass='templatedLink' runat="server" />
                <asp:Label Text='<%# Container.DataItem.GetAttribute("txt") %>' Visible='<%# Not CBool("0" & Container.DataItem.GetAttribute("enabled")) %>' CssClass='templatedDisabledLink' runat="server" />
                
                <ul class="templatedChildren">
                    <asp:Repeater DataSource='<%# Container.DataItem.ChildNodes %>' runat="server">
                        <ItemTemplate>
                            <li class="templatedChild" style='<%# IIf(String.IsNullOrEmpty(Container.DataItem.GetAttribute("img")), String.Empty, String.Format("background-image: url({0})", Me.ResolveUrl(Container.DataItem.GetAttribute("img")))) %>'>
                                <asp:HyperLink Text='<%# Container.DataItem.GetAttribute("txt") %>' NavigateUrl='<%# Container.DataItem.GetAttribute("url") %>' CssClass="templatedChildLink" runat="server" />
                            </li>
                        </ItemTemplate>
                    </asp:Repeater>
                </ul>
            </li>
        </ItemTemplate>
    </asp:Repeater>
</ul>
