<%@ Control language="vb" AutoEventWireup="false" Explicit="True" Inherits="DotNetNuke.Framework.UserControlBase" %>
<%@ Register TagPrefix="dnn" TagName="Stylesheet" Src="~/Admin/Skins/Styles.ascx" %>

<ul class="brandonHaynes megaMenu">
    <asp:Repeater runat="server" DataSource='<%# DataBinder.Eval(Container, "PendingItems") %>'>
        <ItemTemplate>
            <li class="megaHeader" style='<%# IIf(String.IsNullOrEmpty(DataBinder.Eval(Container.DataItem, "ImageUrl")), String.Empty, String.Format("background-image: url({0})", DataBinder.Eval(Container.DataItem, "ImageUrl"))) %>' >
                <asp:HyperLink Text='<%# DataBinder.Eval(Container.DataItem, "Text") %>' NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "NavigateUrl") %>' Enabled='<%# DataBinder.Eval(Container.DataItem, "Enabled") %>' CssClass='<%# IIf(DataBinder.Eval(Container.DataItem, "Enabled"), "megaLink", "megaDisabledLink") %>' runat="server" />

                <ul class="megaChildren">
                    <asp:Repeater DataSource='<%# DataBinder.Eval(Container.DataItem, "PendingItems") %>' runat="server">
                        <ItemTemplate>
                            <li class="megaChild" style='<%# IIf(String.IsNullOrEmpty(DataBinder.Eval(Container.DataItem, "ImageUrl")), String.Empty, String.Format("background-image: url({0})", Me.ResolveUrl(DataBinder.Eval(Container.DataItem, "ImageUrl")))) %>'>
                                <asp:HyperLink Text='<%# DataBinder.Eval(Container.DataItem, "Text") %>' NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "NavigateUrl") %>' CssClass="megaChildLink" runat="server" />
                            </li>
                        </ItemTemplate>
                    </asp:Repeater>
                </ul>
            </li>
        </ItemTemplate>
    </asp:Repeater>
</ul>
